Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class PropertyValueImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.PropertyValueImpl

All Implemented Interfaces:
  Localizable, PropertyValue, Serializable

    public class PropertyValueImpl

extends WrappedProtegeInstanceImpl
implements PropertyValue

See Also:
  Serialized Form

Constructor Summary
`protected` | `PropertyValueImpl(MetaProjectImpl mp, Instance pi)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getPropertyName()`
`String` | `getPropertyValue()`
`int` | `hashCode()`
`void` | `setPropertyName(String name)`
`void` | `setPropertyValue(String value)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValueImpl

    protected PropertyValueImpl(MetaProjectImpl mp,
                                Instance pi)

Method Detail

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyValue`

### getPropertyValue

    public String getPropertyValue()

  Specified by:
    `getPropertyValue` in interface `PropertyValue`

### setPropertyName

    public void setPropertyName(String name)

  Specified by:
    `setPropertyName` in interface `PropertyValue`

### setPropertyValue

    public void setPropertyValue(String value)

  Specified by:
    `setPropertyValue` in interface `PropertyValue`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `WrappedProtegeInstanceImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `WrappedProtegeInstanceImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.